Bug 1632628 - "Manage Repository Sets" option for content hosts list all available repos and search is broken on this page
Summary: "Manage Repository Sets" option for content hosts list all available repos an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.4
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.4.0
Assignee: John Mitsch
QA Contact: Sachin Ghai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-25 09:25 UTC by Ashish Humbe
Modified: 2019-11-05 23:35 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.40-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:53:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
only enabled repos are visible under "Manager repository set" (115.06 KB, image/png)
2018-09-28 10:27 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25033 'High' 'Closed' '"Manage Repository Sets" option for content hosts list all available repos and search is broken on this page' 2019-11-22 19:36:16 UTC

Description Ashish Humbe 2018-09-25 09:25:19 UTC
Description of problem:

When we navigate to Hosts -> Content Hosts -> Select few content hosts -> Select Action -> "Manage Repository Sets", this page list all available repositories based on the imported manifest which we see on Red Hat Repositories page. Ideally, it should list only enabled repositories on the satellite. 

When we search for the required repository name then search does not work properly, ie: the search is limited to the first 20 entries listed on the page. 

In Satellite 6.3 it lists only enabled and synced repositories on this page. 

Version-Release number of selected component (if applicable):
Satellite 6.4

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Hosts -> Content Hosts -> Select few content hosts -> Select Action -> "Manage Repository Sets".
2. Here we see all available repositories 
3. In the search box try to search for "tools" or any other repository name. 
4. Search is limited to first 20 entries listed on the page. 

Actual results:
- "Repository Sets Management" page lists all available repos instead of listing only enabled repositories on the satellite.
- The search option is limited to entries listed on the first page.

Expected results:
- "Repository Sets Management" page should list only enabled repositories on the satellite.
- The search should consider entries on all pages and it should not be limited to the content listed on the first page.

Comment 5 John Mitsch 2018-09-25 14:40:38 UTC
Created redmine issue https://projects.theforeman.org/issues/25033 from this bug

Comment 7 pm-sat@redhat.com 2018-09-25 20:04:58 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 8 pm-sat@redhat.com 2018-09-25 20:05:01 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 9 Brad Buckingham 2018-09-25 20:41:26 UTC
The upstream PR has been merged; therefore, moving the BZ to POST.

Comment 11 Mike McCune 2018-09-27 18:04:30 UTC
This worked perfectly for me on SNAP 24. Could search and view subsets of repos and override properly.

Comment 12 Ashish Humbe 2018-09-28 04:41:02 UTC
Thank you Mike and John for fixing this on priority.

Comment 13 Sachin Ghai 2018-09-28 08:47:38 UTC
Verified with sat6.4 snap24.

With the fix I can see only enabled repos under "Hosts -> Content Hosts -> Select few content hosts -> Select Action -> "Manage Repository Sets". Earlier, I was able to see all available repositories based on imported manifest.

Also, I can filter the repos based on selected search criteria.

Comment 14 Sachin Ghai 2018-09-28 10:27:33 UTC
Created attachment 1488035 [details]
only enabled repos are visible under "Manager repository set"

Comment 15 Bryan Kearney 2018-10-16 18:53:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.